std::_List_node< _Tp >(3)

NAME
std::_List_node< _Tp > -

SYNOPSIS

Inherits std::__detail::_List_node_base.

  Public Member Functions
template<typename... _Args> _List_node (_Args &&...__args)
void _M_hook (_List_node_base *const __position) noexcept
void _M_reverse () noexcept
void _M_transfer (_List_node_base *const __first, _List_node_base *const __last) noexcept
void _M_unhook () noexcept

  Static Public Member Functions
static void swap (_List_node_base &__x, _List_node_base &__y) noexcept

  Public Attributes
_Tp _M_data
_List_node_base * _M_next
_List_node_base * _M_prev

Detailed Description

  template<typename _Tp>struct std::_List_node< _Tp >
An actual node in the list.

Definition at line 106 of file stl_list.h.

Member Data Documentation

  template<typename _Tp> _Tp std::_List_node< _Tp >::_M_data

< User's data.

Definition at line 109 of file stl_list.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.